# Person-detection Application

Person-detection-app is a demo application that runs in the Aether edge and showcases Aether's support for for low-latency, AI/ML driven IOT applications that make use of Aether's support for end-to-end slicing.

The person-detection-app consists of a client component that runs on Raspberry-Pi camera and a server component that runs on a server in the Aether Edge. 

## Getting started

### Raspberry Pi Camera
The *camera* directory contains scripts that run on the Raspberry Pi camera.
- *openvino-camera.sh* captures video from the Raspberry Pi's camera module, encodes and transmits it in *low* or *high* resolution to the *host:port* of the person-detection-app
- *openvino-mqtt.py* listens to *mqtt* commands from the  person-detection-app to set the resolution level of the Raspberry Pi camera video. 

It is recommended that these two scripts be started by systemd on startup.

### Person-detection-app
The person-detection app runs as a docker container.

```
docker pull registry.aetherproject.org/aether-apps/person-detection-app:master
docker run -itu root:root --rm --name %n --privileged --network host registry.aetherproject.org/aether-apps/person-detection-app:master --url "http://roc.demo.aetherproject.net/aether-roc-api/aether/v2.0.0/connectivity-service-v2/" --keycloak "http://keycloak.demo.aetherproject.net/auth/realms/aether/protocol/openid-connect/token"  --enterprise "ase-4g-enterprise" --site "ase-site-4g" --devicegroup "ase-4g-device-group2" --user "onfadmin" --password "changeme" --num 1
```
